Plusieurs versions de SIP

L’auteur de ce sujet a trouvé une solution à son problème.
Auteur du sujet

Bonjour,

Je suis sous Fedora et je programme en ce moment avec PyQt. Ayant décidé de passer à la version 5, j'ai télécharger la dernière de SIP. Seulement, elle n'est pas supportée par PyQt4, bibliothèque avec laquelle j'ai quelques programmes.

Serait-il possible d'avoir deux versions de SIP d'installées et de préciser laquelle utiliser ?

Merci !

Édité par Vayel

"Bienheureux celui qui sait rire de lui-même, il n’a pas fini de s’amuser." Joseph Folliet

+0 -0
Auteur du sujet

J'ai mis en place un virtualenv via mkvirtualenv. Est-il possible d'installer une certaine version de SIP juste pour cet environnement en la compilant depuis les sources ?

Merci.

"Bienheureux celui qui sait rire de lui-même, il n’a pas fini de s’amuser." Joseph Folliet

+0 -0
Auteur du sujet

Merci ! Je n'effectuais pas les bonnes recherches.

Pour le cas de PyQt4, c'est tout expliqué ici, mais je sais à présent qu'on peut le faire avec n'importe quelle source.

"Bienheureux celui qui sait rire de lui-même, il n’a pas fini de s’amuser." Joseph Folliet

+0 -0
Connectez-vous pour pouvoir poster un message.
Connexion

Pas encore membre ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte